# The Trial Offer object

### The Trial Offer object

```json
{
  "id": "to_1Hh5Xx2eZvKYlo2C8JaUOv4R",
  "object": "product_catalog.trial_offer",
  "livemode": false,
  "duration": {
    "relative": {
      "iterations": 2
    },
    "type": "relative"
  },
  "end_behavior": {
    "transition": {
      "price": "price_1Hh5Xx2eZvKYlo2C8JaUOv3P"
    },
    "type": "transition"
  },
  "price": "price_1Hh5Xx2eZvKYlo2C8JaUOv2Q"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `duration` (object)
  The duration of the trial offer.

  - `duration.relative` (object, nullable)
    The relative duration type describes the duration of the trial offer in terms of iterations of the price’s interval.

    - `duration.relative.iterations` (integer)
      The number of iterations of the price’s interval for this trial offer.

  - `duration.type` (enum)
    The type of trial offer duration.
Possible enum values:
    - `relative`
      The duration of trials created from this offer are determined relative to the trial start date.

    - `timestamp`
      The duration of trials created from this offer are determined by a specific timestamp.

- `end_behavior` (object)
  The behavior of the trial offer when it ends.

  - `end_behavior.transition` (object)
    The configuration to use at the end of the trial offer period.

    - `end_behavior.transition.price` (string)
      The new price to use at the end of the trial offer period.

  - `end_behavior.type` (enum)
    The type of behavior when the trial offer ends.
Possible enum values:
    - `transition`
      The new price to use at the end of the trial period initiated by this offer.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `name` (string, nullable)
  A brief, user-friendly name for the trial offer-for identification purposes.

  The maximum length is 255 characters.

- `price` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The price during the trial offer.
